.section-title-and-articles {
  padding: 100px 0;

  @include screen-max($mobile) {
    padding: 35px 0 80px;
  }

  .section {
    &__header {
      margin-bottom: 68px;

      @include screen-max($mobile) {
        margin-bottom: 56px;
      }
    }

    .articles {
      & > * {
        &:not(:last-child) {
          margin-bottom: 50px;
        }
      }

      .article {
        &:nth-child(even) {
          flex-direction: row-reverse;

          .article__left {
            @include screen-min($mobile) {
              padding-right: calc(#{$desktopPadding} / 2);
            }
          }

          .article__right {
            @include screen-min($mobile) {
              padding-right: 48px;
            }
          }
        }

        &__right {
          display: flex;
          flex-direction: column;
          justify-content: center;
        }

        &__title {
          margin-bottom: 35px;
          color: $colorGreen;
          max-width: 480px;

          @include screen-max($mobile) {
            margin-bottom: 22px;
            margin-top: 28px;
            font-size: calculateSize(18);
            line-height: calculateSize(26);
            font-weight: bold;
            max-width: 327px;
          }

          @include screen-max($mobile) {
            max-width: 80%;
          }
        }

        &__content {
          margin-bottom: 25px;

          @include screen-max($mobile) {
            max-width: 327px;
            line-height: calculateSize(25);
          }
        }

        &__left {
          @include screen-min($mobile) {
            padding-right: 48px;
          }

          @include screen-max($mobile) {
            display: flex;
          }

          &__image {
            box-shadow: 0px 3px 6px #00000029;
            border-radius: 8px;
          }
        }
      }
    }
  }
}
